<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2011 Sven Burkert (bedienung@sbtheke.de)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*  A copy is found in the textfile GPL.txt and important notices to the license
*  from the author is found in LICENSE.txt distributed with these scripts.
*
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

if(!defined('PATH_typo3conf')) {
	die('Could not access this script directly!');
}

/**
 * Class 'tx_ttnewsajaxpagebrowser' for the ttnews_ajaxpagebrowser extension.
 *
 * @author	Sven Burkert <bedienung@sbtheke.de>
 * @package	TYPO3
 */
class tx_ttnewsajaxpagebrowser_ajax {
	function main() {
		switch(t3lib_div::_GP('todo')) {
			case 'pagebrowser':
				$href = str_replace(t3lib_div::getIndpEnv('TYPO3_SITE_URL'), '', t3lib_div::_GP('href')); // IE6 has problems
				$requestedPage = file_get_contents(urldecode(t3lib_div::getIndpEnv('TYPO3_SITE_URL') . $href));
				preg_match('/<div.*?id\=[\"]{0,1}' . t3lib_div::_GP('part') . '[\"]{0,1}.*?>[\r\n]{0,2}<!--ajax_replace-->[\s]{0,}(.*?)[\s]{0,}<!--ajax_replace-->[\r\n]{0,2}<\/div>/s', $requestedPage, $matches);
				if(array_key_exists(1, $matches)) {
					echo $matches[1];
				} else {
					echo 'An error occured, please reload the site or <a href="' . t3lib_div::_GP('href') . '">click this link</a> to load your desired page.';
				}
			break;
		}
	}
}

$output = t3lib_div::makeInstance('tx_ttnewsajaxpagebrowser_ajax');
$output->main();

if(defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ttnews_ajaxpagebrowser/lib/class.tx_ttnewsajaxpagebrowser_ajax.php'])    {
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ttnews_ajaxpagebrowser/lib/class.tx_ttnewsajaxpagebrowser_ajax.php']);
}
?>