jQuery(document).ready(function(){
	// ajax pagebrowser
	jQuery(document).on("click", ".news-list-browse a, .tx-ttnews-browsebox a", function(){
		newsContainer = jQuery(this).closest(".news-list-ajax");
		newsContainer.fadeTo("slow", 0.33);
		jQuery.ajax({
			type: "POST",
			dataType: "html",
			data: ({
				eID: 'ttnews_ajaxpagebrowser_ajaxHandler',
				todo: 'pagebrowser',
				href: escape(jQuery(this).attr("href")),
				part: newsContainer.attr("id")
			}),
			success: function(data){
				newsContainer.html(data);
				newsContainer.fadeTo("slow", 1.0);
				// scroll to top
				window.location.hash = '#' + newsContainer.attr("id");
			}
		});
		return false;
	});

	// handle urls like "news.html#browse:2 to load initial page
	/*if(window.location.hash) {
		hash = window.location.hash.split(":");
		if(hash[0] == 'browse' && hash[1]) {
			//TODO
		}
	}*/
});